//  main: main.less, out: ../style.css

/* 
====================================================================================================================================
TEAMS
======================================================================================================================================
*/
.c-teams {
    width: calc(100% ~'-'@sidebar__w);
    margin-left: @sidebar__w;
    padding: 0 @margin__m;
    position: relative;
    max-width: 1340px;

    @media @media_smartphone,
    @media_landascape,
    @media_tablet {
        width: 100%;
        margin-left: auto;
    }

    @media @media_smartphone {
        padding: 0 @margin__s;
    }
}

.c-teams__header {
    position: relative;
    height: 450px;

    @media @media_landascape,
    @media_tablet {
        height: 300px;
    }
    @media @media_smartphone {
        height: 320px;
    }
}

.c-teams__image {
    position: absolute;
    width: 50%;
    max-width: 640px;
    height: 400px;
    bottom: 0;
    right: -@margin__m/2;
    z-index: 1;
    .u-shadow(@shadow-hover);

    &:after {
        position: absolute;
        content: '';
        display: block;
        width: 2px;
        height: 200px;
        left: -@margin__m;
        bottom: 0;
        background-color: @color-secondary;
        z-index: -1;
    }

    @media @media_landascape,
    @media_tablet {
        height: 200px;
        width: 300px;

        &:after {
            height: 100px;
        }
    }

    @media @media_smartphone {
        height: 150px;
        width: 100%;
        right: initial;
        left: @margin__s;

        &:after {
            height: 40px;
            left: @margin__s;
            bottom: @margin__l*2;
            
        }
    }
}

.c-teams__bg {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: @margin__m;
    opacity: .3;
    overflow: hidden;
    z-index: 0;

    div {
        background-position: center;
        background-size: cover;
        background-repeat: no-repeat;
        height: 100%;
        width: 100%;
        filter: blur(8px);
        -webkit-filter: blur(8px);
        .u-transform(scale(1.05));
    }

}

.c-teams__btn {
    position: absolute;
    bottom: 0;
    left: @margin__m;
    z-index: 2;
    @media @media_smartphone {
        left: 0;
        bottom: -30px;
    }
}

.c-teams__title {
    position: absolute;
    z-index: 2;
    top: @margin__m;
    left: @margin__m;

    .title {
        margin: 0;
    }

    h4 {
        color: @color-secondary;
        margin: 0;
    }
    @media @media_smartphone {
        left: @margin__s;
        top: @margin__s;
    
    }
}

.c-teams__content {
    margin: @margin__m auto;
    padding: 0 @margin__m/2;

    @media @media_tablet,
    @media_landascape,
    @media_smartphone {
        padding: 0;
    }
}

.c-teams__team {
    .u-flex-display;
    .u-justify-content(space-between);
    .u-flex-wrap(wrap);
    padding-bottom: @margin__m;
}

.c-player {
    position: relative;
    width: calc(50% ~'-'@margin__m);
    margin: @margin__m/2;
    background-color: white;
    padding: 30px;
    padding-right: 140px;
    .u-shadow(@shadow);

    h2 {
        font-family: @font_titles;
        font-size: @size__l;
        margin: 0;
    }

    p {
        margin: 0;
    }

    .c-player__image {
        position: absolute;
        width: 130px;
        top: 0;
        bottom: 0;
        right: 0;
        background-position: center;
        background-size: cover;
        background-repeat: no-repeat;
    }

    .c-player__ranking {
        display: inline-block;
        padding: 5px 15px;
        background-color: @color-tetiary;
        color: @color-primary;
        font-size: @size__s;

        strong {
            font-weight: normal;
            font-family: @font_titles;
        }

        .u-border-radius(@margin__s);
    }

    @media @media_tablet {
        width: 100%;
        margin: @margin__s 0;
    }

    @media @media_landascape {
        margin: @margin__s 0;
        width: calc(50% ~'-'@margin__s);

    }

    @media @media_smartphone {
        width: 100%;
        margin: @margin__s 0;
        padding: 15px;
        padding-right: 120px;

        h2 {
            font-size: @size__m;
        }

        p {
            font-size: @size__s;
        }

        .c-player__ranking {
            padding: 2px 10px;
            font-size: 12px;
        }

        .c-player__image {
            width: 100px;
        }
    }
}